## gmime-stream-cat

gmime-stream-cat —

## Synopsis

    struct      GMimeStreamCat;
    GMimeStream* g_mime_stream_cat_new          (void);
    int         g_mime_stream_cat_add_source    (GMimeStreamCat *cat,
                                                 GMimeStream *source);

## Object Hierarchy

      GObject
       +----GMimeStream
             +----GMimeStreamCat

## Description

## Details

### struct GMimeStreamCat

    struct GMimeStreamCat;

### g_mime_stream_cat_new ()

    GMimeStream* g_mime_stream_cat_new          (void);

Creates a new GMimeStreamCat object.

Returns : | a new cat stream.

### g_mime_stream_cat_add_source ()

    int         g_mime_stream_cat_add_source    (GMimeStreamCat *cat,
                                                 GMimeStream *source);

Adds the `source` stream to the cat stream `cat`.

`cat` : | cat stream
`source` : | a source stream
Returns : | 0 on success or -1 on fail.